package me.ChrisvA.MinecartExtra;

import org.bukkit.World;

public class MinecartCollector {

	protected long lastMovement;
	protected int limit;
	protected long insertTime;
	private boolean playerCart;
	private World cartWorld;
	
	
	public MinecartCollector(World world, int limit, boolean playercart){
		this.init(world, limit, playercart);
		//insertTime = new Date ();
	}
	
	public MinecartCollector(World world, int limit){
		this.init(world, limit, false);
	}
	

	private void init(World world, int limit, boolean playercart) {
		this.limit = limit;
		cartWorld = world;
		this.lastMovement = cartWorld.getFullTime();
		this.insertTime = cartWorld.getFullTime();
		this.playerCart = playercart;
	}

	// cuTime internal Tick Counter
	public boolean CollectionTime (){
		if (cartWorld.getFullTime()  - lastMovement >= limit){
			lastMovement = cartWorld.getFullTime();
			return true;
		}else{
			return false;
		}
	}
	
	public long getNoMoveTime(){
		return cartWorld.getFullTime() - lastMovement; 
	}
	
	public long getLastMovement(){
		return lastMovement;
	}
	
	public boolean isPlayerCart(){
		return playerCart;
	}
	
	public long getLifeTime(){
		return (cartWorld.getFullTime()  - insertTime);
	}
	
}
